/*
 * Note: Settings.java file is generated during ant build from Settings.java.tpl file.
 * Any modifications to one file should be reflected in the other one.
 * Default Settings.java file should contain options good for a developer build.
 */
package com.opera.max;

public class Settings {

    public $MAX_modifier static String SERVER = $max_server;
    public $MAX_modifier static short PORT = $max_port;
    public $MAX_modifier static String INITIAL_NODE = $max_initial_node;

    public final static boolean DEBUGVIEW = $max_debug_view;
    public $MAX_modifier static boolean UNINSTALL_SURVEY = $max_uninstall_survey;
    public $MAX_modifier static String REFERRER = $max_referrer;
    public $MAX_modifier static boolean SEND_IMEI = $max_send_imei;
    public $MAX_modifier static String BRAND = $max_brand;
    public $MAX_modifier static String MANUFACTURER_RESTRICTION = $max_manufacturer_restriction;
    public $MAX_modifier static String FORCED_MCC_MNC = $max_forced_mcc_mnc;
    public $MAX_modifier static String EXTRA_HEADERS = $max_extra_headers;
    public $MAX_modifier static boolean MODES_API_NOT_RESTRICTED = $max_modes_api_not_restricted;
    public $MAX_modifier static boolean APPBOY_ENABLED = $max_appboy_enabled;

    private $MAX_modifier static String[] empty_servers = {};
    private $MAX_modifier static String[] test_servers = {
            "global-max@global-max.opera-mini.net:443",
            "boost-demo-test@boost-demo-test.opera-mini.net:443",
            "test-max-test@test-max-test.opera-mini.net:443",
            "test-global-max@test-global-max.opera-mini.net:443",
            "dev-max-test@dev-max-test.opera-mini.net:443",
            "dev2-max-test@dev2-max-test.opera-mini.net:443",
            "Odra DC@global-max-lvs-odra.opera-mini.net:443",
            "Hopper DC@global-max-lvs-hopper.opera-mini.net:443",
            "Singa DC@test-max-singa-test.opera-mini.net:443",
            "Seattle DC@test-max-seattle-test.opera-mini.net:443",
    };
    public $MAX_modifier static String[] SERVERS = Settings.DEBUGVIEW ? test_servers : empty_servers;

    public $MAX_modifier static String APPS_FLYER_KEY = $max_appsflyer_key;
}
